# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['cow',
 'cow.adaptors',
 'cow.constants',
 'cow.db',
 'cow.enums',
 'cow.errors',
 'cow.license',
 'cow.manager',
 'cow.maps',
 'cow.monitoring',
 'cow.plugins',
 'cow.plugins.plugin_examples',
 'cow.plugins.plugins_meta',
 'cow.pydantic',
 'cow.redis_db',
 'cow.rpc',
 'cow.rpc.transport',
 'cow.utils',
 'cow.web']

package_data = \
{'': ['*']}

install_requires = \
['aiosignal',
 'apscheduler',
 'cachetools',
 'chardet',
 'configs-core',
 'docker',
 'jsonschema-rs',
 'luna-libs',
 'luna-plugins',
 'luna-utils',
 'luna3',
 'ormsgpack',
 'python-dateutil',
 'pyzmq',
 'redis[hiredis]',
 'tzlocal']

extras_require = \
{':extra == "db"': ['SQLAlchemy<1.4',
                    'shapely',
                    'alembic',
                    'asyncpg',
                    'cx_oracle',
                    'geo-utils']}

setup_kwargs = {
    'name': 'luna-cow',
    'version': '0.5.65',
    'description': 'Crutches on wheels by visionlabs',
    'long_description': "# About\n\nProject contatins Luna services common parts.\n\n# Tests\n\nThe project has unittests.\n\n## Requirements\n\nInstall the dependencies from pyproject.toml.\n\n## Running tests\n\n```console\npytest --config tests/app/config.conf\n```\n\n## Notes\n\nTests are heavily depends on module pytest-sanic, which makes some magic behind\nthe scenes - runs coroutines and setup sanic server. Please note, any async\ntests that use fixture 'app' should include 'loop' fixture as well.\n",
    'author': 'visionlabs',
    'author_email': 'None',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
